### Virtual Method

# Ide LspClient published_diagnostics

#### Declaration

    void
    published_diagnostics (
      IdeLspClient* self,
      GFile* file,
      IdeDiagnostics* diagnostics
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`diagnostics` | `IdeDiagnostics`
| No description available.
| The data is owned by the caller of the function.